Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	MiniRacer is an OpenGL car racing game, based on the Quake1 engine.
Name:		miniracer
Version:	1.04
Release:	2
License:	GNU/GPL 
URL:		http://miniracer.sourceforge.net
Group:		Games/Sports
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-optimization.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	SDL-devel 
BuildRequires:  mesa-libGL-devel 
BuildRequires:  libX11-devel 
BuildRequires:  SDL_mixer-devel
BuildRequires:	libXext-devel 
BuildRequires:  libXxf86dga-devel 
BuildRequires:  libXxf86vm-devel
BuildRequires:  glibc-devel

%description
MiniRacer is an OpenGL car racing game, based on the Quake1 engine.
It was written by Thomas Jakobsson for the win32 platform and ported
to Linux by Martin Weiss. This Release can still contain bugs.
See the website http://miniracer.sourceforge.net for details.
Enjoy!

%prep
%setup -q 
%patch0 -p1

%build
FLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/* 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 1.04-2
- rebuild, group correction to Games/Sports
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.04-1
- Initial Release
